// eslint-disable-next-line import/no-extraneous-dependencies
import React, { useContext } from 'react';
// eslint-disable-next-line import/no-extraneous-dependencies
import { Link } from 'react-router-dom';
import { Empty } from '@arco-design/web-react';
import { IconApps } from '@arco-design/web-react/icon';
import cs from 'classnames';
import { WorkspaceContext } from "../workspaceContext";
import styles from "./workspaceOverview.module.scss";
export function WorkspaceOverview() {
  const {
    name,
    components
  } = useContext(WorkspaceContext);
  const isEmpty = !(components !== null && components !== void 0 && components.length);
  return /*#__PURE__*/React.createElement("div", {
    className: styles.workspaceOverview
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.workspaceTitle
  }, /*#__PURE__*/React.createElement(IconApps, null), name), /*#__PURE__*/React.createElement("div", {
    className: cs(styles.gallery, {
      [styles.empty]: isEmpty
    })
  }, isEmpty ? /*#__PURE__*/React.createElement(Empty, {
    description: "No components found"
  }) : components.map(({
    id,
    name,
    packageName
  }) => {
    return /*#__PURE__*/React.createElement(Link, {
      key: id,
      className: styles.componentCard,
      to: `/${id}`
    }, /*#__PURE__*/React.createElement("span", {
      title: name,
      className: styles.title
    }, name), /*#__PURE__*/React.createElement("span", {
      className: styles.packageName
    }, packageName));
  })));
}